Bug 1679304 (CVE-2019-6465) - CVE-2019-6465 bind: Controls for zone transfers may not be properly applied to DLZs if the zones are writable
Summary: CVE-2019-6465 bind: Controls for zone transfers may not be properly applied t...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-6465
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1679925 1679926 1683009 1683010
Blocks: 1679305
TreeView+ depends on / blocked
 
Reported: 2019-02-20 20:47 UTC by Pedro Sampaio
Modified: 2020-04-22 03:02 UTC (History)
19 users (show)

Fixed In Version: bind 9.11.5-P4, bind 9.12.3-P4
Doc Type: If docs needed, set a value
Doc Text:
It was found that the controls for zone transfer were not properly applied to Dynamically Loadable Zones (DLZs). An attacker acting as a DNS client could use this flaw to request and receive a zone transfer of a DLZ even when not permitted to do so by the "allow-transfer" ACL.
Clone Of:
Environment:
Last Closed: 2019-11-06 00:52:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3552 None None None 2019-11-05 21:09:29 UTC
Red Hat Product Errata RHSA-2020:1061 None None None 2020-03-31 19:17:41 UTC

Description Pedro Sampaio 2019-02-20 20:47:40 UTC
A flaw was found in Bind. Controls for zone transfers may not be properly applied to Dynamically Loadable Zones (DLZs) if the zones are writable. A client exercising this defect can request and receive a zone transfers of a DLZ even when not permitted to do so by the allow-transfer ACL.

Comment 1 Andrej Nemec 2019-02-22 08:58:43 UTC
External References:

https://kb.isc.org/docs/cve-2019-6465

Comment 2 Andrej Nemec 2019-02-22 09:01:13 UTC
Created bind tracking bugs for this issue:

Affects: fedora-all [bug 1679925]


Created bind99 tracking bugs for this issue:

Affects: fedora-all [bug 1679926]

Comment 5 Tomas Hoger 2019-02-25 09:34:28 UTC
Upstream advisory notes the following versions as being affected by this issue:

9.9.0 -> 9.10.8-P1
9.11.0 -> 9.11.5-P2
9.12.0 -> 9.12.3-P2
9.9.3-S1 -> 9.11.5-S3 of BIND 9 Supported Preview Edition
9.13.0 -> 9.13.6 of the 9.13 development branch
versions prior to BIND 9.9.0 have not been evaluated for vulnerability to CVE-2019-6465

Comment 6 Tomas Hoger 2019-02-25 09:35:35 UTC
Acknowledgments:

Name: ISC

Comment 10 errata-xmlrpc 2019-11-05 21:09:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3552 https://access.redhat.com/errata/RHSA-2019:3552

Comment 11 Product Security DevOps Team 2019-11-06 00:52:22 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-6465

Comment 12 errata-xmlrpc 2020-03-31 19:17:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1061 https://access.redhat.com/errata/RHSA-2020:1061


Note You need to log in before you can comment on or make changes to this bug.